# This file created by conda-build 3.17.8
# ------------------------------------------------

package:
    name: mpich
    version: 3.2.1
source:
    fn: mpich-3.2.1.tar.gz
    sha256: 5db53bf2edfaa2238eb6a0a5bc3d2c2ccbfbb1badd79b664a1a919d2ce2330f1
    url: http://www.mpich.org/static/downloads/3.2.1/mpich-3.2.1.tar.gz
build:
    number: 8
    run_exports:
        - mpich >=3.2,<3.3.0a0
    string: hf39692e_8
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_6
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_6
        - gfortran_impl_linux-64 7.3.0 hdf63c60_1
        - gfortran_linux-64 7.3.0 h553295d_6
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_6
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
    host:
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
    run:
        - libgcc-ng >=7.3.0
        - libgfortran-ng >=7,<8.0a0
        - libstdcxx-ng >=7.3.0
        - mpi 1.0 mpich
test:
    files:
        - tests/test_exec.py
    requires:
        - python >=3
    script: run_test.sh
about:
    description: 'MPICH is a high performance and widely portable implementation of
        the

        Message Passing Interface (MPI) standard.

        '
    dev_url: https://wiki.mpich.org/mpich/index.php/Main_Page
    doc_url: http://www.mpich.org/documentation/guides
    home: http://www.mpich.org/
    license: MPICH
    license_family: Other
    license_file: COPYRIGHT
    summary: A high performance widely portable implementation of the MPI standard.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - astrofrog-conda-forge
        - bekozi
        - dalcinl
        - minrk
        - msarahan
        - ocefpaf
        - rainwoodman
